com.hazelcast.util

## Class AddressUtil.AddressMatcher

- java.lang.Object
- - com.hazelcast.util.AddressUtil.AddressMatcher

- Enclosing class:
    AddressUtil

      public abstract static class AddressUtil.AddressMatcher
      extends Object

  http://docs.oracle.com/javase/1.5.0/docs/guide/net/ipv6_guide/index.html

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String[]` | `address`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AddressMatcher(String[] address)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `doMatch(String mask, String input, int radix)`
    `abstract String` | `getAddress()`
    `abstract boolean` | `isIPv4()`
    `abstract boolean` | `isIPv6()`
    `abstract boolean` | `match(AddressUtil.AddressMatcher matcher)`
    `boolean` | `match(String address)`
    `protected boolean` | `match(String[] mask, String[] input, int radix)`
    `abstract void` | `setAddress(String[] ip)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### address

          protected final String[] address

  - ### Constructor Detail

    - #### AddressMatcher

          protected AddressMatcher(String[] address)

  - ### Method Detail

    - #### isIPv4

          public abstract boolean isIPv4()

    - #### isIPv6

          public abstract boolean isIPv6()

    - #### setAddress

          public abstract void setAddress(String[] ip)

    - #### match

          protected final boolean match(String[] mask,
                                        String[] input,
                                        int radix)

    - #### doMatch

          protected final boolean doMatch(String mask,
                                          String input,
                                          int radix)

    - #### getAddress

          public abstract String getAddress()

    - #### match

          public abstract boolean match(AddressUtil.AddressMatcher matcher)

    - #### match

          public boolean match(String address)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.